<?php

// ========================================================================== //

    function info_component_sanction(){

        //Описание компонента

        $_component['title']        = 'Санкции';             //название
        $_component['description']  = 'Система штрафов';     //описание
        $_component['link']         = 'sanction';            //ссылка (идентификатор)
        $_component['author']       = 'lokanaft';            //автор
        $_component['internal']     = '0';                   //внутренний (только для админки)? 1-Да, 0-Нет
        $_component['version']      = '1.0b';                //текущая версия

        return $_component;

    }

// ========================================================================== //

    function install_component_sanction(){

        $inDB   = cmsDatabase::getInstance();   //подключаем базу данных

        $inDB->query("CREATE TABLE IF NOT EXISTS `cms_sanction` (
              `id` int(11) NOT NULL AUTO_INCREMENT,
              `date` datetime NOT NULL COMMENT 'Дата выдачи ограничения',
              `free_date` datetime NOT NULL COMMENT 'Дата снятия ограничения',
              `user_id` int(11) NOT NULL COMMENT 'Идентификатор пользователя',
              `access` text NOT NULL COMMENT 'Список ограничений',
              `who_gave_id` int(11) NOT NULL COMMENT 'Идентификатор выдавшего ограничение',
              `reason` text NOT NULL COMMENT 'Причина ограничений',
              PRIMARY KEY (`id`),
              KEY `user_id` (`user_id`)
            ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Компонент: Санкции, автор: lokanaft' AUTO_INCREMENT=1");
        
        $inDB->query("CREATE TABLE IF NOT EXISTS `cms_sanction_notice` (
              `id` int(11) NOT NULL AUTO_INCREMENT,
              `date` datetime NOT NULL,
              `user_id` int(11) NOT NULL,
              `who_gave_id` int(11) NOT NULL,
              `reason` text NOT NULL,
              PRIMARY KEY (`id`),
              KEY `user_id` (`user_id`)
            ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        
        if(!$inDB->get_field('cms_user_groups_access', "access_type = 'forum/add'", 'id'))$inDB->query("INSERT INTO cms_user_groups_access (`id`, `access_type`, `access_name`) VALUES (NULL, 'forum/add', 'Добавление тем и постов на форум')");

        return true;

    }

// ========================================================================== //

    function upgrade_component_sanction(){

        return true;
        
    }

// ========================================================================== //

?>